Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1434439 - CVE-2014-9938 git: git-prompt.sh does not sanitize branch names in $PS1 [epel-5]
Summary: CVE-2014-9938 git: git-prompt.sh does not sanitize branch names in $PS1 [epel-5]
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: git
Version: el5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Petr Stodulka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-21 14:01 UTC by Adam Mariš
Modified: 2017-04-06 10:39 UTC (History)
8 users (show)

Fixed In Version: git-1.8.3.2-2.el5
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-06 10:39:42 UTC
Type: ---


Attachments (Terms of Use)

Description Adam Mariš 2017-03-21 14:01:13 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of epel-5.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

Comment 1 Adam Mariš 2017-03-21 14:01:19 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1434415

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Petr Stodulka 2017-03-21 15:53:47 UTC
I am not able to reproduce it even on rhel-5. My output and settings:
----------------------
[0 root waste ] # git clone https://github.com/njhartwell/pw3nage
Cloning into 'pw3nage'...
remote: Counting objects: 19, done.
remote: Compressing objects: 100% (14/14), done.
remote: Total 19 (delta 3), reused 19 (delta 3), pack-reused 0
Unpacking objects: 100% (19/19), done.
[0 root waste ] # cd pw3nage/
[0 root pw3nage ($(./pw3n)=)] # 
[0 root pw3nage ($(./pw3n)=)] # rpm -q git
git-1.8.2.3-1.el5
[0 root pw3nage ($(./pw3n)=)] # grep PS1 ~/.bashrc
GIT_PS1_SHOWDIRTYSTATE=1    
GIT_PS1_SHOWSTASHSTATE=1    
GIT_PS1_SHOWUNTRACKEDFILES=1
GIT_PS1_SHOWUPSTREAM="auto" 
PS1='[$? \u \W $(declare -F __git_ps1 &>/dev/null && __git_ps1 "(%s)")] \$ '
----------------------


So I am closing even this bug. Feel free to reopen it if you reproduce it sucessfully.

Comment 3 Tomas Hoger 2017-03-22 14:54:43 UTC
The use of __git_ps1 in PS1 is not affected, you need to test with __git_ps1 in PROMPT_COMMAND, see bug 1434415 comment 2.

Comment 4 Petr Stodulka 2017-03-29 11:21:02 UTC
Wrong bug.

Comment 5 Fedora Update System 2017-03-29 12:08:38 UTC
git-1.8.2.3-2.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-fdfdc387e6

Comment 6 Fedora Update System 2017-03-29 18:17:01 UTC
git-1.8.2.3-2.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-fdfdc387e6

Comment 7 Fedora End Of Life 2017-04-06 10:39:42 UTC
Fedora EPEL 5 changed to end-of-life (EOL) status on 2017-03-31. Fedora EPEL 5
is no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora
or Fedora EPEL, please feel free to reopen this bug against that version. If
you are unable to reopen this bug, please file a new report against the current
release. If you experience problems, please add a comment to this bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.